/**
Copyright 2015, Christopher Brown <io@henrian.com>, MIT Licensed

This module serves to convert from unicode strings to byte arrays, and back.

The raw (unencoded) format is UTF16, and the obscure encoding is an array of
bytes, so we _encode_ a string into bytes, and _decode_ bytes into a string.
*/
/**
Takes a native Javascript UTF16 string and returns an Array of bytes.

Mostly from https://developer.mozilla.org/en-US/docs/Web/API/WindowBase64/Base64_encoding_and_decoding
Except I removed the mapping step so that we only pass over the input once.
*/
export declare function encode(string: string): number[];
/**
Takes a Uint8Array or native Array of bytes and returns a native Javascript
UTF16 string.

Mostly from https://developer.mozilla.org/en-US/docs/Web/API/WindowBase64/Base64_encoding_and_decoding.
*/
export declare function decode(bytes: number[] | Uint8Array): string;
